import vl from 'vega-lite-api';
export const viz = vl
  .markBar({ size: 24 })
  .transform(
    vl.aggregate(vl.sum('suicides_no').as('Suicides')).groupby(['year', 'age'])
  )
  .encode(
    vl.y().fieldQ('Suicides'),
    vl.x().fieldO('year'),
    vl
      .color()
      .fieldO('age')
      .scale({ scheme: 'viridis' }),
    vl.tooltip().fieldQ('Suicides')
  );
